=== debian/changelog ===
altos (1.9.21-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * update Releasing with learnings from 1.9.20 release
  * fix confusing typo in 1.9.20 release notes
  * tweaking up the TeleBT turnon scripts for v4.0d
  * update ChangeLog for 1.9.21 release

  [ Keith Packard ]
  * altoslib: Handle pressure values which are too low (including negative)
  * altos: Adapt to picolibc 1.8.10 changes
  * Version 1.9.20.1
  * altos: Check full name in rn4678 driver
  * doc: Add 1.9.21 release notes
  * Version 1.9.21

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Apr 2025 20:41:01 -0600
