=== debian/changelog ===
altos (1.9.22-2) unstable; urgency=medium

  * Change asciidoctor-pdf dependency to allow cross builds, closes: #1114044

 -- Bdale Garbee <bdale@gag.com>  Sat, 06 Sep 2025 21:15:51 -0600

altos (1.9.22-1) unstable; urgency=medium

  [ Keith Packard ]
  * doc: Add 1.9.18 release notes
  * drivers: Add Mosaic GPS driver support
  * telemega-v3.0: Add Mosaic GPS support
  * telemega-v4.0: Add Mosaic GPS support
  * telemega-v5.0: Add Mosaic GPS support
  * telemega-v6.0: Add Mosaic GPS support
  * altos: Add telemetrum v4.0 seeed test firmware
  * altos: fix telemetrum seeed test payload names
  * altoslib: Add TeleMega v7 .eeprom parsing support
  * Version 1.9.21.1
  * doc: Add 1.9.22 release notes
  * doc: Update telemetry.txt
  * altos: Fixup mosaic GPS test program
  * telemega-v7.0: Add Mosaic GPS support
  * altos: wait for mosaic receiver to be available at startup
  * altos/stm: Go back to default crt0 for flash loader
  * doc: Add mosaic GPS info to 1.9.22 rel notes
  * doc: Note that mosaic GPS is external
  * Bump version to 1.9.22

  [ Bdale Garbee ]
  * update ChangeLog for 1.9.22 release

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Aug 2025 20:53:15 -0600
