=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Keith Packard <keithp@keithp.com>
 Build-Depends: asciidoctor,
-               ruby-asciidoctor-pdf,
+               asciidoctor-pdf,
                strip-nondeterminism,
                autoconf,
                automake,
                debhelper (>= 13),
-               default-jdk,
+               default-jdk-headless:native,
 	       faketime,
                freetts,
                gawk,
                gcc-arm-none-eabi,
                picolibc-arm-none-eabi,
-               graphicsmagick | imagemagick,
+               graphicsmagick:native | imagemagick:native,
                graphviz,
                icnsutils,
                icoutils,
@@ -31,11 +31,11 @@
                libtool,
                libusb-1.0-0-dev,
                netpbm,
-               nickle,
-	       cairo-5c,
+               nickle:native,
+	       cairo-5c:native,
                pkgconf,
                shared-mime-info,
-               sox,
+               sox:native,
                swig
 Standards-Version: 4.6.0
 Homepage: http://altusmetrum.org/AltOS
